# -*- encoding: utf-8 -*-
# stub: chef 10.30.4 ruby lib

Gem::Specification.new do |s|
  s.name = "chef".freeze
  s.version = "10.30.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Jacob".freeze]
  s.date = "2014-02-18"
  s.description = "A systems integration framework, built to bring the benefits of configuration management to your entire infrastructure.".freeze
  s.email = "adam@opscode.com".freeze
  s.executables = ["chef-client".freeze, "chef-solo".freeze, "knife".freeze, "shef".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "LICENSE".freeze]
  s.files = ["LICENSE".freeze, "README.rdoc".freeze, "bin/chef-client".freeze, "bin/chef-solo".freeze, "bin/knife".freeze, "bin/shef".freeze]
  s.homepage = "http://wiki.opscode.com/display/chef".freeze
  s.rubygems_version = "3.2.15".freeze
  s.summary = "A systems integration framework, built to bring the benefits of configuration management to your entire infrastructure.".freeze

  s.installed_by_version = "3.2.15" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mixlib-config>.freeze, [">= 1.1.2", "~> 1.1"])
    s.add_runtime_dependency(%q<mixlib-cli>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<mixlib-log>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<mixlib-authentication>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<mixlib-shellout>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<ohai>.freeze, [">= 0.6.0", "< 7.0.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, [">= 1.0.4", "< 1.7.0"])
    s.add_runtime_dependency(%q<mime-types>.freeze, ["~> 1.16"])
    s.add_runtime_dependency(%q<bunny>.freeze, [">= 0.6.0", "< 0.8.0"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 1.4.4", "<= 1.7.7"])
    s.add_runtime_dependency(%q<yajl-ruby>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<treetop>.freeze, ["~> 1.4.9"])
    s.add_runtime_dependency(%q<net-ssh>.freeze, ["~> 2.6"])
    s.add_runtime_dependency(%q<net-ssh-multi>.freeze, ["~> 1.1.0"])
    s.add_runtime_dependency(%q<highline>.freeze, [">= 1.6.9", "~> 1.6"])
    s.add_runtime_dependency(%q<moneta>.freeze, ["< 0.7.0"])
    s.add_runtime_dependency(%q<erubis>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_development_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_development_dependency(%q<sdoc>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rack>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec-core>.freeze, ["~> 2.12.0"])
    s.add_development_dependency(%q<rspec-expectations>.freeze, ["~> 2.12.0"])
    s.add_development_dependency(%q<rspec-mocks>.freeze, ["~> 2.12.0"])
  else
    s.add_dependency(%q<mixlib-config>.freeze, [">= 1.1.2", "~> 1.1"])
    s.add_dependency(%q<mixlib-cli>.freeze, ["~> 1.1"])
    s.add_dependency(%q<mixlib-log>.freeze, ["~> 1.3"])
    s.add_dependency(%q<mixlib-authentication>.freeze, ["~> 1.3"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["~> 1.3"])
    s.add_dependency(%q<ohai>.freeze, [">= 0.6.0", "< 7.0.0"])
    s.add_dependency(%q<rest-client>.freeze, [">= 1.0.4", "< 1.7.0"])
    s.add_dependency(%q<mime-types>.freeze, ["~> 1.16"])
    s.add_dependency(%q<bunny>.freeze, [">= 0.6.0", "< 0.8.0"])
    s.add_dependency(%q<json>.freeze, [">= 1.4.4", "<= 1.7.7"])
    s.add_dependency(%q<yajl-ruby>.freeze, ["~> 1.1"])
    s.add_dependency(%q<treetop>.freeze, ["~> 1.4.9"])
    s.add_dependency(%q<net-ssh>.freeze, ["~> 2.6"])
    s.add_dependency(%q<net-ssh-multi>.freeze, ["~> 1.1.0"])
    s.add_dependency(%q<highline>.freeze, [">= 1.6.9", "~> 1.6"])
    s.add_dependency(%q<moneta>.freeze, ["< 0.7.0"])
    s.add_dependency(%q<erubis>.freeze, [">= 0"])
    s.add_dependency(%q<uuidtools>.freeze, [">= 0"])
    s.add_dependency(%q<rdoc>.freeze, [">= 0"])
    s.add_dependency(%q<sdoc>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, [">= 0"])
    s.add_dependency(%q<rspec-core>.freeze, ["~> 2.12.0"])
    s.add_dependency(%q<rspec-expectations>.freeze, ["~> 2.12.0"])
    s.add_dependency(%q<rspec-mocks>.freeze, ["~> 2.12.0"])
  end
end
